package m05bAmortizacionesEJB;

/**
 * This is the Primary Key for the Entity EJB <tt>m05Asignacion</tt>.
 */

public class m05AmortizacionesPK  implements java.io.Serializable{



  /**
   * This is the primary key.
   * It is the cargo codigo, which is the primary key
   * in table <tt>m0539t00</tt>.
   */
  public String amo_codigo;

  /**
   * This is the equals method.
   * @param obj java.lang.Object
   * @return boolean
   */
  public boolean equals(Object obj) {
    if (obj instanceof m05AmortizacionesPK) {
      m05AmortizacionesPK otherKey = (m05AmortizacionesPK) obj;
      return ((this.amo_codigo == otherKey.amo_codigo));
    }
    else
      return false;
  }

  /**
   * This is the hashCode method.
   * @return int
   */
  public int hashCode() {
    return Integer.parseInt(this.amo_codigo);
  }
}